Interface FilesEndpointBuilderFactory.FilesBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- FilesEndpointBuilderFactory
public static interface FilesEndpointBuilderFactory.FilesBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default FilesEndpointBuilderFactory.FilesHeaderNameBuilderazureFiles()Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-filesdefault FilesEndpointBuilderFactory.FilesEndpointBuilderazureFiles(String path)Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-files Syntax:azure-files:account/sharePath parameter: account (required) The account to use Path parameter: share (required) The share to use Path parameter: port Port of the FTP server Path parameter: directoryName The starting directorydefault FilesEndpointBuilderFactory.FilesEndpointBuilderazureFiles(String componentName, String path)Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-files Syntax:azure-files:account/sharePath parameter: account (required) The account to use Path parameter: share (required) The share to use Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory
-
-
-
Method Detail
-
azureFiles
default FilesEndpointBuilderFactory.FilesHeaderNameBuilder azureFiles()
Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-files- Returns:
- the dsl builder for the headers' name.
-
azureFiles
default FilesEndpointBuilderFactory.FilesEndpointBuilder azureFiles(String path)
Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-files Syntax:azure-files:account/sharePath parameter: account (required) The account to use Path parameter: share (required) The share to use Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
path- account/share- Returns:
- the dsl builder
-
azureFiles
default FilesEndpointBuilderFactory.FilesEndpointBuilder azureFiles(String componentName, String path)
Azure Files (camel-azure-files) Camel Azure Files Component Category: cloud,file Since: 3.22 Maven coordinates: org.apache.camel:camel-azure-files Syntax:azure-files:account/sharePath parameter: account (required) The account to use Path parameter: share (required) The share to use Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- account/share- Returns:
- the dsl builder
-
-